## org.apache.portals.bridges.jsf
Class AbstractAttributeMap.EntrySetEntry

    java.lang.Object
      org.apache.portals.bridges.jsf.AbstractAttributeMap.EntrySetEntry

All Implemented Interfaces:
  Map.Entry

Enclosing class:
  AbstractAttributeMap

private class AbstractAttributeMap.EntrySetEntry
extends Object
implements Map.Entry

Field Summary
`private Object` `_currentKey`

Constructor Summary
`AbstractAttributeMap.EntrySetEntry(Object currentKey)`

Method Summary
`Object` `getKey()`
`Object` `getValue()`
`Object` `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Field Detail

### _currentKey

    private final Object _currentKey

Constructor Detail

### AbstractAttributeMap.EntrySetEntry

    public AbstractAttributeMap.EntrySetEntry(Object currentKey)

Method Detail

### getKey

    public Object getKey()

  Specified by:
    `getKey` in interface `Map.Entry`

### getValue

    public Object getValue()

  Specified by:
    `getValue` in interface `Map.Entry`

### setValue

    public Object setValue(Object value)

  Specified by:
    `setValue` in interface `Map.Entry`

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.